/*
Theme Name: Bloginsight
Theme URI: 
Author: Themeansar
Author URI: https://themeansar.com
Description: Bloginsight is a fast, clean, modern-looking Best Responsive News Magazine WordPress theme. The theme is fully widgetized, so users can manage the content by using easy to use widgets. Bloginsight is suitable for dynamic news, newspapers, magazine, publishers, blogs, editors, online and gaming magazines, newsportals,personal blogs, newspaper, publishing or review siteand any creative website. Bloginsight is SEO friendly, WPML,Gutenberg, translation and RTL ready. Live preview : https://demos.themeansar.com/blogus/bloginsight/ and documentation at https://docs.themeansar.com/docs/blogus/
Version: 0.2
Requires PHP: 7.4
Requires at least: 6.7
Tested up to: 7.0
License: GNU General Public License v3 or later
License URI: http://www.gnu.org/licenses/gpl-3.0.html
Template: blogus
Text Domain: bloginsight
Tags: blog, portfolio, news, grid-Layout, one-column, two-columns, three-columns, flexible-header, left-sidebar, right-sidebar, custom-background, custom-colors, custom-logo, custom-menu, featured-images, footer-widgets, full-width-template, post-formats, rtl-language-support, theme-options, sticky-post, threaded-comments, translation-ready, block-styles, wide-blocks

Bloginsight WordPress Theme is child theme of Blogus, Copyright 2023 Themeansar
Bloginsight is distributed under the terms of the GNU General Public License v3

Bloginsight is based on Underscores https://underscores.me/, (C) 2012-2017 Automattic, Inc.
Underscores is distributed under the terms of the GNU GPL v2 or later.
*/
:root {
    --raduis: 6px;
    --headFont: 'Inter', sans-serif;
	--bodyFont: 'Inter', sans-serif;
	--bs-breadcrumb-divider: '>';
}
h1, .h1, h2, .h2, h3, .h3, h4, .h4, h5, .h5, h6, .h6{
    font-weight: 600;
}
.screen-reader-text{
    clip: unset;
}
.site-branding-text .site-title{
    font-size: unset;
}
.mainfeatured {
    margin-top: 30px;
    margin-bottom: 50px;
}
.bs-blog-category a{
    border: 1px solid;
    padding: 7px 8px;
    font-size: 13px;
    border-radius: calc(var(--raduis)/2);
}
.bs-blog-post .bs-blog-meta{
    margin: 16px 0 0;
}
.list-blog.bs-blog-post{
    padding: 0;
    gap: 30px;
    border-radius: var(--raduis);
    border: 1px solid;
    box-shadow: none;
    display: grid;
    grid-template-columns: repeat(1, 1fr );
}
.bs-blog-post.list-blog .small {
    padding: 20px;
    font-size: clamp(16px, 1.2vw, 17px);
}
.list-blog.bs-blog-post .bs-blog-thumb + .small{
   padding:  clamp(0px, (100vw - 767px) * 999, 10px) 20px clamp(10px, (767px - 100vw) * 999, 20px) clamp(0px, (767px - 100vw) * 999, 20px);
}
.list-blog .bs-blog-thumb{
    height: 100%;
    border-radius: 0;
}
.bs-sidebar .bs-widget{
    padding: 0;
    box-shadow: none;
}
.wd-back{
    box-shadow: none;
    border-radius: var(--raduis);
}
.navigation.pagination .nav-links .page-numbers, .navigation.pagination .nav-links a, .post-nav-links a, .bs-single-related, .comments-area.bs-card-box, .bs-info-author-block{
    border-radius: var(--raduis);
    box-shadow: none;
}
.bs-blog-post.three.md, .bs-blog-thumb, input[type="submit"], button, .comments-area .reply a, input[type="text"], input[type="email"], input[type="url"], input[type="password"], input[type="search"], input[type="number"], input[type="tel"], input[type="range"], input[type="date"], input[type="month"], input[type="week"], input[type="time"], input[type="datetime"], input[type="datetime-local"], input[type="color"], textarea, select, .bs-slide, .homemain, .bs-widget.promo .inner-content, .bs-widget.promo h5 a, .bs-widget.promo .text{
    border-radius: var(--raduis);
}
.bs-blog-post .bs-header{
    padding: 0 0 20px;
}
.bs-blog-post .small.single{
    padding: 20px 0 0;
}
.bs-blog-post.single{
    box-shadow: none;
}
.bs-breadcrumb-section .overlay{
    box-shadow: none;
    padding: 0;
}
.bs-breadcrumb-section .overlay .container{ padding: 10px 3px;}
.bs-breadcrumb-section .breadcrumb, .bs-breadcrumb-section .breadcrumb a{
    font-size: 15px;
}
.bs-breadcrumb-section .breadcrumb a{
    font-weight: 500;
}
.page-entry-title:has(.entry-title.title){
    padding: 10px 0;
    box-shadow: none;
}
.bs-slide{
    justify-content: flex-start;
}
.bs-slide .inner{
    align-items: flex-start;
    text-align: start;
    padding: 0 clamp(1.25rem, 6vw, 5.625rem) clamp(1rem, 2vw, 1.875rem);
}
.bs-recent-blog-post .small-post {
    margin-bottom: 20px;
    padding: 0;
}
.bs-sidebar .widget_blogus-author-widget{
    padding: 20px;
    border-radius: var(--raduis);
}
/* ------------------
-----------new-tickers-------
---------------- */
.bs-latest-news {
    overflow: hidden;
    min-height: 50px;
    position: relative;
    border: 2px solid;
    margin-top: 30px;
    border-radius: var(--raduis);
}
.bs-latest-news .acmeticker-wrap{
    height: 100%;
}
.bs-latest-title {
    position: absolute;
    top: 50%;
    left: 0%;
    transform: translateY(-50%);
    height: 100%; 
    padding-right: 15px;
    z-index: 9;
    display: flex;
    align-items: center;
}
.bs-latest-news-slider {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    width: 100vw;
    height: auto;
}
.bs-latest-news-slider.stop-ticker{
    right: 0;
    left: 0;
}
.bs-latest-heading {
    font-size: 18px;
    margin-bottom: 0; 
    height: 100%; 
    padding: 10px 15px;
    z-index: 9;
    display: flex;
    align-items: center;
}
.bs-latest-heading i{
    width: 28px;
    height: 28px;
    border-radius: 50%;
    border: 1px solid;
    font-size: 15px;
    line-height: 28px;
    text-align: center;
    position: relative;
}
.bs-latest-heading span{
    margin-left: 8px;
}
.bs-latest-heading i:after {
    content: '';
    display: block;
    width: 28px;
    height: 28px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    border: 1px solid;
    border-radius: 50%;
    animation-name: rippal;
    animation-duration: 1s;
    animation-iteration-count: infinite;
}
.navbar-wp .navbar-nav>li>a{
    font-weight: 500;
}
.navbar-wp .dropdown-menu>li>a{
    font-size: 14px;
    font-weight: 500;
    border-radius: var(--raduis);
}
@keyframes rippal {
	0%{
		width: 0;
		height: 0;
		opacity: 1;
	}
	100%{
		width: 28px;
		height: 28px;
		opacity: 1;
	}
}
@media (min-width: 768px) {
  .list-blog.bs-blog-post {
    grid-template-columns: repeat(5, 1fr);
  }
  .list-blog .bs-blog-thumb {
    grid-column: span 2;
    max-width: 100%;
    width: 100%;
  }
  .bs-blog-post.list-blog .small{
    grid-column: span 5;
  }
  .list-blog.bs-blog-post .bs-blog-thumb + .small {
    grid-column: span 3;
  }
}
@media (min-width: 992px) {
    .navbar-expand-lg .navbar-nav .dropdown-menu{
        padding: 10px;
        border-radius: var(--raduis);
        box-shadow: 0 6px 12px rgb(23 22 24 / .04),0 4px 8px rgb(23 22 24 / .04),0 2px 8px rgb(23 22 24 / .04);
    }
}
@media screen and (max-width: 991px){
    .right-nav {
        display: none;
    }
    .m-header .right-nav {
        display: flex;
        gap: 10px;
    }
}
@media screen and (max-width: 767px){
    .bs-latest-heading span{
        display:none;
    }
    .bs-slide .inner, .bs-slide.two .inner{
        width: 100%;
    }
}

.switch{
    display: none;
}